%define module_name     ipw3945
%define module_version  %version
%define module_release  alt2.132626.14

%define kversion        2.6.18
%define krelease        alt14
%define flavour         ovz-smp


%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/net/wireless

Summary: Linux %module_name - an Intel(R) PRO/Wireless 3945ABG module
Name: kernel-modules-%module_name-%flavour
Version: 1.2.0
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://%module_name.sourceforge.net/

BuildPreReq: kernel-build-tools

BuildRequires: kernel-headers-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides:       kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

Requires: firmware-%module_name ipw3945d

%description
This project was created by Intel(R) to enable support for the Intel(R)
PRO/Wireless 3945ABG network connection adapter.

%prep
%__rm -rf kernel-source-%module_name-%module_version
%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build -C %_usrsrc/linux-%kversion-%flavour M=$PWD \
	    LINUXSRC=%_usrsrc/linux-%kversion-%flavour/ \
	    IEEE80211_INC=%_usrsrc/linux-%kversion-%flavour/include

%install
%__mkdir_p %buildroot/%module_dir
%__cp -a *.ko %buildroot/%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 1.2.0-alt2.132626.14
- Removed unneeded "Prereq: modutils".

* Mon Jan 15 2007 Grigory Batalov <bga@altlinux.ru> 1.2.0-alt1.132626.14
- 1.2.0.

* Thu May 25 2006 Grigory Batalov <bga@altlinux.ru> 1.0.5-alt1.132626.14
- 1.0.5.

* Mon Apr 24 2006 Grigory Batalov <bga@altlinux.ru> 1.0.1-alt1.132626.14
- Initial ALTLinux release.
